com.sun.tdk.specdiff.html.stat

## Class Attribute

- java.lang.Object
- - com.sun.tdk.specdiff.html.stat.Attribute

- All Implemented Interfaces:
    java.io.Serializable

      public class Attribute
      extends java.lang.Object
      implements java.io.Serializable

  Assertion/Context attribute VO.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Attribute()`
    `Attribute(java.lang.String name, java.lang.String value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)` Two attributes are considered equal if their names are equal.
    `java.lang.String` | `getName()`
    `java.lang.String` | `getValue()`
    `int` | `hashCode()`
    `void` | `setName(java.lang.String name)`
    `void` | `setValue(java.lang.String value)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Attribute

          public Attribute()

    - #### Attribute

          public Attribute(java.lang.String name,
                           java.lang.String value)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName(java.lang.String name)

    - #### getValue

          public java.lang.String getValue()

    - #### setValue

          public void setValue(java.lang.String value)

    - #### equals

          public boolean equals(java.lang.Object obj)

      Two attributes are considered equal if their names are equal.
      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`